# MatMatSolve

Solves A X = B, given a factored matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMatSolve(Mat A,Mat B,Mat X)

Collective on Mat

### Input Parameters

| mat | - the factored matrix
| b | - the right-hand-side vector

### Output Parameter

x -the result vector

### Notes

The vectors b and x cannot be the same. I.e., one cannot call MatMatSolve(A,x,x).

### Notes

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatMatSolveAdd(), MatMatSolveTranspose(), MatMatSolveTransposeAdd()

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages